Service config file status
GET
/api/v1/service-config/status/{service}
const url = 'https://osctrl.net/api/v1/service-config/status/example';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://osctrl.net/api/v1/service-config/status/example \ --header 'Authorization: <Authorization>'Reports unsaved DB changes and config file writability for a service.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”service
required
string
Service name
Responses
Section titled “Responses”OK
Media typeapplication/json
object
checked_at
string
file_path
string
file_reason
string
file_writable
boolean
pending_changes
boolean
service
string
Examplegenerated
{ "checked_at": "example", "file_path": "example", "file_reason": "example", "file_writable": true, "pending_changes": true, "service": "example"}Bad request
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Unauthorized
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Forbidden
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Internal server error
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}